package de.ugoe.cs.rwm.mocci;

import java.net.HttpURLConnection;

import org.eclipse.cmf.occi.core.Action;
import org.eclipse.cmf.occi.core.AttributeState;
import org.eclipse.cmf.occi.core.Entity;
import org.eclipse.cmf.occi.core.Link;
import org.eclipse.cmf.occi.core.Mixin;
import org.eclipse.cmf.occi.core.MixinBase;
import org.eclipse.emf.ecore.EObject;

import de.ugoe.cs.rwm.docci.connector.Connector;
import de.ugoe.cs.rwm.docci.executor.AbsExecutor;
import de.ugoe.cs.rwm.docci.executor.MartExecutor;

/**
 * Handles execution of OCCI Model Elements.
 *
 * @author erbel
 *
 */
public class MartQuery extends MartExecutor {

	/**
	 * Creates an Executor to the OCCI API of the specified connection. Sets
	 * maxTries to 3.
	 *
	 * @param conn
	 */
	public MartQuery(Connector conn) {
		super(conn);
	}

	/**
	 * Creates Executor to the OCCI API of the specified connection. maxTries is
	 * hereby the maximum amount of retries for a request. Should be at least 2 to
	 * handle connection issues.
	 *
	 * @param conn
	 * @param maxTries
	 */
	public MartQuery(Connector conn, int maxTries) {
		super(conn, maxTries);
	}


	
	public String executeGetOperation(String query) {
		String adaptedAddress = "http://" + connector.getAddress() + ":" + connector.getPort() + query;
		HttpURLConnection conn = establishConnection(adaptedAddress, null, false, null);
		conn.setRequestProperty("Accept", "application/json");

		//System.out.println("GET" + " " + adaptedAddress);

		return getOutput(conn);
	}
}
